import { QuizQuestionNumber } from "@frontend/squzanswerer";
import HelpQuestions from "../../helpQuestions";
import SettingSlider from "./settingSlider";

interface Props {
  switchState: string;
  question: QuizQuestionNumber;
}

export default function SwitchSlider({ switchState = "setting", question }: Props) {
  switch (switchState) {
    case "setting":
      return <SettingSlider question={question} />;
    case "help":
      return (
        <HelpQuestions
          questionId={question.id}
          hintText={question.content.hint.text}
          hintVideo={question.content.hint.video}
        />
      );
    default:
      return <></>;
  }
}
